org.gdal.gdal

## Class GCP

- java.lang.Object
- - org.gdal.gdal.GCP

-     public class GCP
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCP(double x, double y, double pixel, double line)`
    `GCP(double x, double y, double z, double pixel, double line)`
    `GCP(double x, double y, double z, double pixel, double line, String info, String id)`
    `GCP(double x, double y, double pixel, double line, String info, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `double` | `getGCPLine()`
    `double` | `getGCPPixel()`
    `double` | `getGCPX()`
    `double` | `getGCPY()`
    `double` | `getGCPZ()`
    `String` | `getId()`
    `String` | `getInfo()`
    `void` | `setGCPLine(double value)`
    `void` | `setGCPPixel(double value)`
    `void` | `setGCPX(double value)`
    `void` | `setGCPY(double value)`
    `void` | `setGCPZ(double value)`
    `void` | `setId(String value)`
    `void` | `setInfo(String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCP

          public GCP(double x,
                     double y,
                     double z,
                     double pixel,
                     double line)

    - #### GCP

          public GCP(double x,
                     double y,
                     double pixel,
                     double line,
                     String info,
                     String id)

    - #### GCP

          public GCP(double x,
                     double y,
                     double pixel,
                     double line)

    - #### GCP

          public GCP(double x,
                     double y,
                     double z,
                     double pixel,
                     double line,
                     String info,
                     String id)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### setGCPX

          public void setGCPX(double value)

    - #### getGCPX

          public double getGCPX()

    - #### setGCPY

          public void setGCPY(double value)

    - #### getGCPY

          public double getGCPY()

    - #### setGCPZ

          public void setGCPZ(double value)

    - #### getGCPZ

          public double getGCPZ()

    - #### setGCPPixel

          public void setGCPPixel(double value)

    - #### getGCPPixel

          public double getGCPPixel()

    - #### setGCPLine

          public void setGCPLine(double value)

    - #### getGCPLine

          public double getGCPLine()

    - #### setInfo

          public void setInfo(String value)

    - #### getInfo

          public String getInfo()

    - #### setId

          public void setId(String value)

    - #### getId

          public String getId()